From a4ad4e7c81ec6d4d4bbb0f232ba550fe41758bab Mon Sep 17 00:00:00 2001
Message-Id: <a4ad4e7c81ec6d4d4bbb0f232ba550fe41758bab.1367947969.git.minovotn@redhat.com>
In-Reply-To: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
References: <707b9b97153063374d2530e72c49b1499fc21af9.1367947969.git.minovotn@redhat.com>
From: Michal Novotny <minovotn@redhat.com>
Date: Tue, 7 May 2013 18:38:10 +0200
Subject: [PATCH 046/114] Revert "qemu-ga: ask and print error information
 from qemu-sockets"

This reverts commit ee4586827b01106958fad63e854a4d7da0efb414.

Reverting as asked by Laszlo in message <51892739.2030807@redhat.com>
because of the ordering issue (most likely) related to supersed
testing.

Signed-off-by: Michal Novotny <minovotn@redhat.com>
---
 qga/channel-posix.c | 14 +-------------
 1 file changed, 1 insertion(+), 13 deletions(-)

diff --git a/qga/channel-posix.c b/qga/channel-posix.c
index e345baf..e22eee6 100644
--- a/qga/channel-posix.c
+++ b/qga/channel-posix.c
@@ -181,23 +181,11 @@ static gboolean ga_channel_open(GAChannel *c, const gchar *path, GAChannelMethod
         break;
     }
     case GA_CHANNEL_UNIX_LISTEN: {
-        Error *local_err = NULL;
-        int fd = unix_listen(path, NULL, strlen(path), &local_err);
-        if (local_err != NULL) {
-            g_critical("%s", error_get_pretty(local_err));
-            error_free(local_err);
-            return false;
-        }
-
-        /* FIXME: keep the following "if" temporarily in RHEL-6, in order to
-         * avoid error reporting / logic regression due to out-of-order
-         * backports.
-         */
+        int fd = unix_listen(path, NULL, strlen(path), NULL);
         if (fd == -1) {
             g_critical("error opening path: %s", strerror(errno));
             return false;
         }
-
         ga_channel_listen_add(c, fd, true);
         break;
     }
-- 
1.7.11.7

